This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434348 - gdl failed massrebuild attempt for GCC 4.3
gdl failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:02 EST by Jesse Keating
Modified: 2013-01-09 22:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 16:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:02:54 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=442872
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-29 16:34:32 EST
scratch build 480016
Comment 2 Jon Stanley 2008-02-29 16:43:03 EST
In file included from CharScanner.cpp:10:
../../src/antlr/CharScanner.hpp: In member function 'bool
antlr::CharScannerLiteralsLess::operator()(const std::string&, const
std::string&) const':
../../src/antlr/CharScanner.hpp:539: error: 'strcasecmp' was not declared in
this scope
CharScanner.cpp: In member function 'virtual void antlr::CharScanner::panic()':
CharScanner.cpp:85: error: 'exit' was not declared in this scope
CharScanner.cpp: In member function 'virtual void
antlr::CharScanner::panic(const std::string&)':
CharScanner.cpp:91: error: 'exit' was not declared in this scope
Comment 3 Orion Poplawski 2008-02-29 17:05:41 EST
Yeah, I believe I have fixes for all of these - waiting for fixed qhull ->
plplot -> gdl.
Comment 4 Orion Poplawski 2008-03-04 16:57:58 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.